POST
Vimsottari Dasa information for a given Date
The vimsottari/dasa-information API gives complete information for a given date for a given native as per Vimsottari. Gives the running Maha Dasa, Antar Dasa, Pratyantar Dasa, Sookshma Antar Dasa, Praana Antar Dasa and Deha Antar Dasa.
/vimsottari/dasa-information
Method
POST
Format
JSON
Auth
API Key
Credits
1
Overview
The vimsottari/dasa-information API gives complete information for a given date for a given native as per Vimsottari. Gives the running Maha Dasa, Antar Dasa, Pratyantar Dasa, Sookshma Antar Dasa, Praana Antar Dasa and Deha Antar Dasa.Request Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
year
|
integer | Yes | Year number, eg: 2023 | 2023 |
month
|
integer | Yes | Month number,with no leading zero | 7 |
date
|
integer | Yes | Day number,with no leading zero | 5 |
hours
|
integer | Yes | Hours number,with no leading zero | 1 |
minutes
|
integer | Yes | Minutes number,with no leading zero | 1 |
seconds
|
integer | Yes | Seconds number, with no leading zero | 0 |
latitude
|
float | Yes | Latitude number, in the range from -90 to 90 | 12.86 |
longitude
|
float | Yes | Longitude number, in the range from -180 to 180 | 123.5 |
timezone
|
float | Yes | Timezone of birth location, eg: 5.5 | 5.5 |
config
|
object | No | Contains optional configuration values | |
ayanamsha
|
string | No | Either "tropical" or "sayana" or "lahiri" | Either "tropical" or "sayana" or "lahiri" |
observation_point
|
string | No | Geocentric positions are calculated with respect to the center of Earth. Topocentric positions are calculated with respect to the actual given place | Either "topocentric" or "geocentric" |
event_data
|
object | Yes | Event data for which we need running Vimsottari Dasa information | |
year
|
integer | Yes | Year number | 2020 |
month
|
integer | Yes | Month number, with no leading zero | 5 |
date
|
integer | Yes | Day number, with no leading zero | 3 |
hours
|
integer | Yes | Hours number,with no leading zero | 7 |
minutes
|
integer | Yes | Minutes number, with no leading zero | 5 |
seconds
|
integer | Yes | Seconds number, with no leading zero | 5 |
Request Example
{
"year": 1995,
"month": 1,
"date": 1,
"hours": 10,
"minutes": 30,
"seconds": 31,
"latitude": 16.51666666666667,
"longitude": 80.61666666666667,
"timezone": 5.5,
"config": {
"observation_point": "geocentric", /* geocentric / topocentric */
"ayanamsha": "sayana" /* lahiri / sayana */
},
"event_data": {
"year": 2025,
"month": 1,
"date": 22,
"hours": 9,
"minutes": 30,
"seconds": 0
}
}
Response Examples
Example responses returned by this API.
Response
{
"statusCode": 200,
"output": "{\"maha_dasa\": {\"Lord\": \"Rahu\", \"start_time\": \"2013-05-30 00:04:09.302029\", \"end_time\": \"2031-05-30 14:49:06.594829\"}, \"antar_dasa\": {\"Lord\": \"Venus\", \"start_time\": \"2024-12-16 17:08:00.064909\", \"end_time\": \"2027-12-17 11:35:29.613709\"}, \"pratyantar_dasa\": {\"Lord\": \"Venus\", \"start_time\": \"2024-12-16 17:08:00.064909\", \"end_time\": \"2025-06-17 08:12:34.989709\"}, \"sookshma_antar_dasa\": {\"Lord\": \"Sun\", \"start_time\": \"2025-01-16 03:38:45.885709\", \"end_time\": \"2025-01-25 06:47:59.631949\"}, \"praana_antar_dasa\": {\"Lord\": \"Mercury\", \"start_time\": \"2025-01-21 22:26:36.591661\", \"end_time\": \"2025-01-23 05:29:25.039045\"}, \"deha_antar_dasa\": {\"Lord\": \"Venus\", \"start_time\": \"2025-01-22 04:39:10.281137\", \"end_time\": \"2025-01-22 09:49:38.355701\"}}"
}
Code Examples
Use the following examples to integrate this API into your application.
PHP Code
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://json.freeastrologyapi.com/vimsottari/dasa-information',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"year": 1995,
"month": 1,
"date": 1,
"hours": 10,
"minutes": 30,
"seconds": 31,
"latitude": 16.51666666666667,
"longitude": 80.61666666666667,
"timezone": 5.5,
"config": {
"observation_point": "geocentric",
"ayanamsha": "sayana"
},
"event_data": {
"year": 2025,
"month": 1,
"date": 22,
"hours": 9,
"minutes": 30,
"seconds": 0
}
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json',
'x-api-key: YOUR_API_KEY_HERE'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Python Code
import requests
import json
url = "https://json.freeastrologyapi.com/vimsottari/dasa-information"
payload = json.dumps({
"year": 1995,
"month": 1,
"date": 1,
"hours": 10,
"minutes": 30,
"seconds": 31,
"latitude": 16.51666666666667,
"longitude": 80.61666666666667,
"timezone": 5.5,
"config": {
"observation_point": "geocentric",
"ayanamsha": "sayana"
},
"event_data": {
"year": 2025,
"month": 1,
"date": 22,
"hours": 9,
"minutes": 30,
"seconds": 0
}
})
headers = {
'Content-Type': 'application/json',
'x-api-key': 'YOUR_API_KEY_HERE'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Node JS Code
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://json.freeastrologyapi.com/vimsottari/dasa-information',
'headers': {
'Content-Type': 'application/json',
'x-api-key': 'YOUR_API_KEY_HERE'
},
body: JSON.stringify({
"year": 1995,
"month": 1,
"date": 1,
"hours": 10,
"minutes": 30,
"seconds": 31,
"latitude": 16.51666666666667,
"longitude": 80.61666666666667,
"timezone": 5.5,
"config": {
"observation_point": "geocentric",
"ayanamsha": "sayana"
},
"event_data": {
"year": 2025,
"month": 1,
"date": 22,
"hours": 9,
"minutes": 30,
"seconds": 0
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});